GET
/
api
/
sites
List Sites
curl --request GET \
  --url https://api.example.com/api/sites \
  --header 'Authorization: <authorization>'
{
  "id": "<string>",
  "slug": "<string>",
  "isPublic": true,
  "screenshot": "<string>"
}

リクエスト

Authorization
string
required
Firebase IDトークン (Bearer xxx)
パラメータは不要です。

Example Request

curl https://app.hirameki-web.com/api/sites \
  -H "Authorization: Bearer {token}"

レスポンス

[
  {
    "id": "bcd0ed35-9c1b-4ecf-b64a-xxxx",
    "name": "Sunny Cafe",
    "slug": "sunny-cafe",
    "description": "温かみのあるカフェサイト",
    "url": "/site/u-1234-bcd0ed35/",
    "path": "u-1234-bcd0ed35/pages/01.home",
    "status": "active",
    "isPublic": true,
    "lastModified": "2026-02-05",
    "screenshot": "/screenshots/sunny-cafe.png"
  }
]
id
string
PostgreSQL上のサイトID
slug
string
サイトの識別子
isPublic
boolean
公開状態
screenshot
string
Puppeteerで生成されたサムネイル画像の相対パス

注意

  • Firebase UIDと紐づくサイトのみ返却されます
  • ファイルシステム上にディレクトリが存在しない場合は自動的にスキップされます